package com.bonus.app.mapper;

import com.bonus.app.entity.*;
import com.bonus.common.entity.bracelet.vo.ProjectVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 现场人员管理 数据层
 */
@Mapper
public interface StayPersonMapper {


    /**
     * 查询查询现场人员列表
     * @param vo
     * @return
     */
    List<StayPersonEntity> getStayPersonList(ProjectVo vo);

    /**
     * 获取所有人脸验证的人员id和类别
     * @param vo
     * @return
     */
    List<PeopleInfoEntity> getStayPersonInfoList(ProjectVo vo);

    /**
     * 获取施工距离
     * @return String
     */
    String getDistance();

//    /**
//     * 切换时获取工程列表
//     * @param proId
//     * @return
//     */
//    List<Map<String, Object>> getProjectList(Long proId);

    /**
     * 安全帽编号是否重复
     * @param vo
     * @return
     */
    ProjectVo isExistCodeAqm(ProjectVo vo);

    /**
     * 马甲编号是否重复
     * @param vo
     * @return
     */
    ProjectVo isExistCodeMj(ProjectVo vo);

    /**
     * 修改安全帽、马甲编号
     * @param vo
     * @return
     */
    int editCodeInfoList(ProjectVo vo);

    /**
     * 根据人员id获取手环信息
     * @param vo
     * @return
     */
    ShInfoEntity getShInfoList(PeopleInfoEntity vo);
}
